//+------------------------------------------------------------------
//|
//+------------------------------------------------------------------

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  DimGray

//
//
//
//
//

extern int    WindowSize    = 250;
extern double RandomMaximum =  60;
extern bool   UseHighLow    =  false;

double buff[];
double invisibleUp[];
double invisibleDown[];

//+------------------------------------------------------------------
//|                                                                  
//+------------------------------------------------------------------
//
//
//
//
//

int init()
{
   MathSrand(TimeLocal());
      SetIndexBuffer(0,buff);          SetIndexStyle(0,DRAW_HISTOGRAM);
      SetIndexBuffer(1,invisibleUp);   SetIndexStyle(1,DRAW_NONE);
      SetIndexBuffer(2,invisibleDown); SetIndexStyle(2,DRAW_NONE);
   return(0);
}
int deinit() { return(0); }

//+------------------------------------------------------------------
//|                                                                  
//+------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int limit,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--) 
   {
      if (limit>3 || i==0)
      {
         double WindowMinimum = 0;
         double WindowMaximum = 0;
         double value         = (MathRand()/32767.0)-0.5;
    
         //
         //
         //
         //
         //
               
         buff[i] = 2.0*RandomMaximum*value;
            if (UseHighLow)
            {
               WindowMaximum = MathCeil (buff[ArrayMaximum(buff,WindowSize,i)]);
               WindowMinimum = MathFloor(buff[ArrayMinimum(buff,WindowSize,i)]);
            }
         invisibleUp[i]   = WindowMaximum;
         invisibleDown[i] = WindowMinimum;
      }
   }      
   return(0);
}